Package org.codehaus.janino

# Interface Visitor.TypeArgumentVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.TypeArgumentVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.TypeArgument`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitArrayType(Java.ArrayType arrayType)`
Invoked by `Java.ArrayType.accept(Visitor.TypeArgumentVisitor)`
`R`
`visitReferenceType(Java.ReferenceType rt)`
Invoked by `Java.ReferenceType.accept(Visitor.TypeArgumentVisitor)`
`R`
`visitWildcard(Java.Wildcard w)`
Invoked by `Java.Wildcard.accept(Visitor.TypeArgumentVisitor)`

## Method Details

### visitWildcard

@Nullable R visitWildcard(Java.Wildcard w) throws EX
Invoked by `Java.Wildcard.accept(Visitor.TypeArgumentVisitor)`

Throws:
  `EX`

### visitReferenceType

@Nullable R visitReferenceType(Java.ReferenceType rt) throws EX
Invoked by `Java.ReferenceType.accept(Visitor.TypeArgumentVisitor)`

Throws:
  `EX`

### visitArrayType

@Nullable R visitArrayType(Java.ArrayType arrayType) throws EX
Invoked by `Java.ArrayType.accept(Visitor.TypeArgumentVisitor)`

Throws:
  `EX`